Index: src/sas/qtgui/Calculators/DataOperationUtilityPanel.py
===================================================================
--- src/sas/qtgui/Calculators/DataOperationUtilityPanel.py	(revision 42787fbf42855bf762f6bc0304e0654ec5288547)
+++ src/sas/qtgui/Calculators/DataOperationUtilityPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -26,4 +26,6 @@
         self.manager = parent
         self.communicator = self.manager.communicator()
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         # To store input datafiles
Index: src/sas/qtgui/Calculators/DensityPanel.py
===================================================================
--- src/sas/qtgui/Calculators/DensityPanel.py	(revision b6f47beac78d9a61064d2509bb2be8d7bf642619)
+++ src/sas/qtgui/Calculators/DensityPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -48,4 +48,7 @@
         self.manager = parent
         self.setupUi()
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.setupModel()
         self.setupMapper()
Index: src/sas/qtgui/Calculators/GenericScatteringCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 8c85ac11162b75e37f3ec97b8e0ed394aee24b70)
+++ src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -38,4 +38,7 @@
         super(GenericScatteringCalculator, self).__init__()
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.manager = parent
         self.communicator = self.manager.communicator()
Index: src/sas/qtgui/Calculators/KiessigPanel.py
===================================================================
--- src/sas/qtgui/Calculators/KiessigPanel.py	(revision ccdee50d5c2b386a9c0750ec507e27f03a843d9f)
+++ src/sas/qtgui/Calculators/KiessigPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -15,4 +15,6 @@
         super(KiessigPanel, self).__init__()
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.setWindowTitle("Kiessig Thickness Calculator")
Index: src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py
===================================================================
--- src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision 93c813fa91c26db181d649b39377d70b4824dbce)
+++ src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -41,4 +41,7 @@
         super(ResolutionCalculatorPanel, self).__init__()
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.manager = parent
 
Index: src/sas/qtgui/Calculators/SldPanel.py
===================================================================
--- src/sas/qtgui/Calculators/SldPanel.py	(revision bd39d6c0f20435935f72494ebcc51a8b09d50790)
+++ src/sas/qtgui/Calculators/SldPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -89,4 +89,7 @@
 
         self.setupUi()
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.setupModel()
         self.setupMapper()
Index: src/sas/qtgui/Calculators/SlitSizeCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/SlitSizeCalculator.py	(revision fa05c6c1658784af4cd2c607f15d140eb7468310)
+++ src/sas/qtgui/Calculators/SlitSizeCalculator.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -25,4 +25,6 @@
         super(SlitSizeCalculator, self).__init__()
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.setWindowTitle("Slit Size Calculator")
Index: src/sas/qtgui/MainWindow/AboutBox.py
===================================================================
--- src/sas/qtgui/MainWindow/AboutBox.py	(revision 7385feca615397eadd3b37b3f8e3304cf9f8b678)
+++ src/sas/qtgui/MainWindow/AboutBox.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -1,4 +1,4 @@
 import functools
-from PyQt5 import QtWidgets
+from PyQt5 import QtWidgets, QtCore
 
 import sas.sasview
@@ -14,4 +14,6 @@
         super(AboutBox, self).__init__(parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.setWindowTitle("About")
Index: src/sas/qtgui/MainWindow/CategoryManager.py
===================================================================
--- src/sas/qtgui/MainWindow/CategoryManager.py	(revision 3d18691df01d447d24aab707b6772ce6ab95e36c)
+++ src/sas/qtgui/MainWindow/CategoryManager.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -135,4 +135,7 @@
         super(CategoryManager, self).__init__(parent)
         self.setupUi(self)
+
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.communicator = manager.communicator()
@@ -327,4 +330,6 @@
         super(ChangeCategory, self).__init__(parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.model = model
Index: src/sas/qtgui/MainWindow/GuiManager.py
===================================================================
--- src/sas/qtgui/MainWindow/GuiManager.py	(revision d1ad101eaf0c8825e51c4af0184a3604ebc7fb69)
+++ src/sas/qtgui/MainWindow/GuiManager.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -59,4 +59,7 @@
         QDialog.__init__(self, parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~Qt.WindowContextHelpButtonHint)
+
 
 class GuiManager(object):
Index: src/sas/qtgui/MainWindow/MainWindow.py
===================================================================
--- src/sas/qtgui/MainWindow/MainWindow.py	(revision 09b7da68fb1c16af9a6f3f00eb59aea4b209e06b)
+++ src/sas/qtgui/MainWindow/MainWindow.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -60,4 +60,5 @@
     splash.show()
     app.setAttribute(Qt.AA_EnableHighDpiScaling)
+
     # fix for pyinstaller packages app to avoid ReactorAlreadyInstalledError
     import sys
Index: src/sas/qtgui/Perspectives/Fitting/ComplexConstraint.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/ComplexConstraint.py	(revision 9c207f5e294c8c9187a57802da71a10545960f65)
+++ src/sas/qtgui/Perspectives/Fitting/ComplexConstraint.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -30,4 +30,8 @@
         self.setupUi(self)
         self.setModal(True)
+
+        # disable the context help icon
+        windowFlags = self.windowFlags()
+        self.setWindowFlags(windowFlags & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         # Useful globals
@@ -61,4 +65,6 @@
         self.cmdOK.clicked.connect(self.onApply)
         self.cmdHelp.clicked.connect(self.onHelp)
+        self.cmdAddAll.clicked.connect(self.onSetAll)
+
         self.txtConstraint.editingFinished.connect(self.validateFormula)
         self.cbModel1.currentIndexChanged.connect(self.onModelIndexChange)
@@ -78,26 +84,14 @@
         self.setupParamWidgets()
 
+
         self.setupMenu()
 
     def setupMenu(self):
-        # Add menu to the Apply button, if necessary
+        # Show Add All button, if necessary
         if self.cbModel1.currentText() ==self.cbModel2.currentText():
-            self.cmdOK.setArrowType(QtCore.Qt.NoArrow)
-            self.cmdOK.setPopupMode(QtWidgets.QToolButton.DelayedPopup)
-            self.cmdOK.setMenu(None)
-            return
-        self.all_menu   = QtWidgets.QMenu()
-        self.actionAddAll = QtWidgets.QAction(self)
-        self.actionAddAll.setObjectName("actionAddAll")
-        self.actionAddAll.setText(QtCore.QCoreApplication.translate("self", "Add all"))
-        ttip = "Add constraints between all identically named parameters in both fitpages"
-        self.actionAddAll.setToolTip(ttip)
-        self.actionAddAll.triggered.connect(self.onSetAll)
-        self.all_menu.addAction(self.actionAddAll)
-        # https://bugreports.qt.io/browse/QTBUG-13663
-        self.all_menu.setToolTipsVisible(True)
-        self.cmdOK.setPopupMode(QtWidgets.QToolButton.MenuButtonPopup)
-        self.cmdOK.setArrowType(QtCore.Qt.DownArrow)
-        self.cmdOK.setMenu(self.all_menu)
+            self.cmdAddAll.setVisible(False)
+        else:
+            self.cmdAddAll.setVisible(True)
+        return
 
     def setupParamWidgets(self):
@@ -127,4 +121,5 @@
         if len(items1)==0:
             self.cmdOK.setEnabled(False)
+            self.cmdAddAll.setEnabled(False)
             txt = "No parameters in model "+self.tab_names[0] +\
                 " are available for constraining."
@@ -132,4 +127,5 @@
         else:
             self.cmdOK.setEnabled(True)
+            self.cmdAddAll.setEnabled(True)
             txt = ""
             self.lblWarning.setText(txt)
@@ -193,7 +189,9 @@
         if not formula_is_valid:
             self.cmdOK.setEnabled(False)
+            self.cmdAddAll.setEnabled(False)
             self.txtConstraint.setStyleSheet("QLineEdit {background-color: red;}")
         else:
             self.cmdOK.setEnabled(True)
+            self.cmdAddAll.setEnabled(True)
             self.txtConstraint.setStyleSheet("QLineEdit {background-color: white;}")
 
Index: src/sas/qtgui/Perspectives/Fitting/ConstraintWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/ConstraintWidget.py	(revision bbcf9f0c46ad89e3ba5303bad994014db30bd4ab)
+++ src/sas/qtgui/Perspectives/Fitting/ConstraintWidget.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -112,4 +112,5 @@
         self.parent = parent
         self.setupUi(self)
+
         self.currentType = "FitPage"
         # Page id for fitting
Index: src/sas/qtgui/Perspectives/Fitting/FittingOptions.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingOptions.py	(revision 8873ab7132159e0dd7fa868c07e4eee16ed4d9ff)
+++ src/sas/qtgui/Perspectives/Fitting/FittingOptions.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -41,4 +41,6 @@
         super(FittingOptions, self).__init__(parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.config = config
Index: src/sas/qtgui/Perspectives/Fitting/GPUOptions.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/GPUOptions.py	(revision 133812c7ffae92cd47338d64c4d757261f78a6a6)
+++ src/sas/qtgui/Perspectives/Fitting/GPUOptions.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -45,4 +45,6 @@
         self.parent = parent
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
         self.addOpenCLOptions()
         self.createLinks()
Index: src/sas/qtgui/Perspectives/Fitting/MultiConstraint.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/MultiConstraint.py	(revision 09e0c32bd64ebeb6310f7132410b87353c04c1d5)
+++ src/sas/qtgui/Perspectives/Fitting/MultiConstraint.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -10,4 +10,5 @@
 
 from PyQt5 import QtWidgets
+from PyQt5 import QtCore
 
 import sas.qtgui.Utilities.GuiUtils as GuiUtils
@@ -29,4 +30,9 @@
         self.setupUi(self)
         self.setModal(True)
+
+        # disable the context help icon
+        windowFlags = self.windowFlags()
+        self.setWindowFlags(windowFlags & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.params = params
         self.parent = parent
Index: src/sas/qtgui/Perspectives/Fitting/UI/ComplexConstraintUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/ComplexConstraintUI.ui	(revision 2e5081b2a117b9a669d7a4e9140a869330133676)
+++ src/sas/qtgui/Perspectives/Fitting/UI/ComplexConstraintUI.ui	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -139,5 +139,5 @@
        <property name="sizeHint" stdset="0">
         <size>
-         <width>88</width>
+         <width>58</width>
          <height>20</height>
         </size>
@@ -146,5 +146,11 @@
      </item>
      <item>
-      <widget class="QToolButton" name="cmdOK">
+      <widget class="QToolButton" name="cmdAddAll">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
        <property name="minimumSize">
         <size>
@@ -154,4 +160,38 @@
        </property>
        <property name="toolTip">
+        <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Add constraints between all identically named parameters in both fitpages&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+       </property>
+       <property name="text">
+        <string>Add All</string>
+       </property>
+       <property name="popupMode">
+        <enum>QToolButton::InstantPopup</enum>
+       </property>
+       <property name="toolButtonStyle">
+        <enum>Qt::ToolButtonTextOnly</enum>
+       </property>
+       <property name="autoRaise">
+        <bool>false</bool>
+       </property>
+       <property name="arrowType">
+        <enum>Qt::DownArrow</enum>
+       </property>
+      </widget>
+     </item>
+     <item>
+      <widget class="QToolButton" name="cmdOK">
+       <property name="sizePolicy">
+        <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+         <horstretch>0</horstretch>
+         <verstretch>0</verstretch>
+        </sizepolicy>
+       </property>
+       <property name="minimumSize">
+        <size>
+         <width>93</width>
+         <height>28</height>
+        </size>
+       </property>
+       <property name="toolTip">
         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Add the constraint as defined by the above expression.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
        </property>
@@ -170,14 +210,4 @@
        <property name="arrowType">
         <enum>Qt::DownArrow</enum>
-       </property>
-      </widget>
-     </item>
-     <item>
-      <widget class="QPushButton" name="cmdCancel">
-       <property name="toolTip">
-        <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Close the window.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-       </property>
-       <property name="text">
-        <string>Close</string>
        </property>
       </widget>
@@ -195,21 +225,4 @@
  </widget>
  <resources/>
- <connections>
-  <connection>
-   <sender>cmdCancel</sender>
-   <signal>clicked()</signal>
-   <receiver>ComplexConstraintUI</receiver>
-   <slot>reject()</slot>
-   <hints>
-    <hint type="sourcelabel">
-     <x>230</x>
-     <y>144</y>
-    </hint>
-    <hint type="destinationlabel">
-     <x>179</x>
-     <y>82</y>
-    </hint>
-   </hints>
-  </connection>
- </connections>
+ <connections/>
 </ui>
Index: src/sas/qtgui/Plotting/AddText.py
===================================================================
--- src/sas/qtgui/Plotting/AddText.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Plotting/AddText.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -12,4 +12,6 @@
         super(AddText, self).__init__(parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self._font = QtGui.QFont()
Index: src/sas/qtgui/Plotting/ColorMap.py
===================================================================
--- src/sas/qtgui/Plotting/ColorMap.py	(revision 8fad50b6fe76dab5d0e3bf9354f49fe14e9db9cb)
+++ src/sas/qtgui/Plotting/ColorMap.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -28,4 +28,6 @@
         self.setupUi(self)
         assert(isinstance(data, Data2D))
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.data = data
Index: src/sas/qtgui/Plotting/LinearFit.py
===================================================================
--- src/sas/qtgui/Plotting/LinearFit.py	(revision e4c475b769d2f7b453153dd47ec2824b13fe251d)
+++ src/sas/qtgui/Plotting/LinearFit.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -30,4 +30,7 @@
 
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         assert(isinstance(max_range, tuple))
         assert(isinstance(fit_range, tuple))
Index: src/sas/qtgui/Plotting/MaskEditor.py
===================================================================
--- src/sas/qtgui/Plotting/MaskEditor.py	(revision 133812c7ffae92cd47338d64c4d757261f78a6a6)
+++ src/sas/qtgui/Plotting/MaskEditor.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -3,5 +3,5 @@
 import numpy as np
 
-from PyQt5 import QtWidgets
+from PyQt5 import QtWidgets, QtCore
 
 from sas.qtgui.Plotting.PlotterData import Data2D
@@ -24,4 +24,6 @@
 
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.data = data
Index: src/sas/qtgui/Plotting/PlotProperties.py
===================================================================
--- src/sas/qtgui/Plotting/PlotProperties.py	(revision facf4cace332ddd3c8e57bfc24256769753e21a5)
+++ src/sas/qtgui/Plotting/PlotProperties.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -18,4 +18,7 @@
         super(PlotProperties, self).__init__(parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.setFixedSize(self.minimumSizeHint())
 
Index: src/sas/qtgui/Plotting/ScaleProperties.py
===================================================================
--- src/sas/qtgui/Plotting/ScaleProperties.py	(revision 54492dc5d508331a71da944766e02b5639ff85d4)
+++ src/sas/qtgui/Plotting/ScaleProperties.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -27,4 +27,6 @@
         super(ScaleProperties, self).__init__(parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         # Set up comboboxes
Index: src/sas/qtgui/Plotting/SetGraphRange.py
===================================================================
--- src/sas/qtgui/Plotting/SetGraphRange.py	(revision d6b8a1dfaf6521ae4a9054d5195def2810d6d8bc)
+++ src/sas/qtgui/Plotting/SetGraphRange.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -17,4 +17,7 @@
 
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         assert(isinstance(x_range, tuple))
         assert(isinstance(y_range, tuple))
Index: src/sas/qtgui/Plotting/WindowTitle.py
===================================================================
--- src/sas/qtgui/Plotting/WindowTitle.py	(revision 4992ff2626be19df7de9e5dfc0078b96bf47a75e)
+++ src/sas/qtgui/Plotting/WindowTitle.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -3,5 +3,5 @@
 from "Graph_n" to any ASCII text.
 """
-from PyQt5 import QtWidgets
+from PyQt5 import QtWidgets, QtCore
 
 from sas.qtgui.Plotting.UI.WindowTitleUI import Ui_WindowTitle
@@ -12,4 +12,7 @@
         super(WindowTitle, self).__init__(parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.txtTitle.setText(new_title)
 
Index: src/sas/qtgui/Utilities/AddMultEditor.py
===================================================================
--- src/sas/qtgui/Utilities/AddMultEditor.py	(revision 287d356e6f93d4bcb4b2b387b00b09e089df9885)
+++ src/sas/qtgui/Utilities/AddMultEditor.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -56,4 +56,6 @@
 
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         #  uncheck self.chkOverwrite
Index: src/sas/qtgui/Utilities/ModelEditor.py
===================================================================
--- src/sas/qtgui/Utilities/ModelEditor.py	(revision f2e199e443add2392b0cb4485f3db4e8f3fc54b5)
+++ src/sas/qtgui/Utilities/ModelEditor.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -15,4 +15,6 @@
         super(ModelEditor, self).__init__(parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.is_python = is_python
Index: src/sas/qtgui/Utilities/PluginManager.py
===================================================================
--- src/sas/qtgui/Utilities/PluginManager.py	(revision aed053275d5f293f1f6495be4c78e4b18fc52b41)
+++ src/sas/qtgui/Utilities/PluginManager.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -3,5 +3,5 @@
 from shutil import copyfile
 
-from PyQt5 import QtWidgets
+from PyQt5 import QtWidgets, QtCore
 
 from sas.sascalc.fit import models
@@ -21,4 +21,7 @@
         super(PluginManager, self).__init__(parent._parent)
         self.setupUi(self)
+
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.parent = parent
Index: src/sas/qtgui/Utilities/ReportDialog.py
===================================================================
--- src/sas/qtgui/Utilities/ReportDialog.py	(revision 133812c7ffae92cd47338d64c4d757261f78a6a6)
+++ src/sas/qtgui/Utilities/ReportDialog.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -6,5 +6,5 @@
 from xhtml2pdf import pisa
 
-from PyQt5 import QtWidgets
+from PyQt5 import QtWidgets, QtCore
 from PyQt5 import QtPrintSupport
 
@@ -23,4 +23,6 @@
         super(ReportDialog, self).__init__(parent._parent)
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         assert isinstance(report_list, list)
Index: src/sas/qtgui/Utilities/TabbedModelEditor.py
===================================================================
--- src/sas/qtgui/Utilities/TabbedModelEditor.py	(revision 59b925c12d983136813fcc26263ac446f1fdff32)
+++ src/sas/qtgui/Utilities/TabbedModelEditor.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -6,5 +6,5 @@
 import traceback
 
-from PyQt5 import QtWidgets
+from PyQt5 import QtWidgets, QtCore
 
 from sas.sascalc.fit import models
@@ -28,4 +28,7 @@
 
         self.setupUi(self)
+
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         # globals